.header__wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 20px;
    position: fixed;
    background-color: var(--color-dark);
    z-index: 1000;
}

.header__navigation {
    position: fixed;
    inset: 60px 0 0 0;
    justify-content: center;
    align-items: center;
    display: flex;
    background-color: var(--color-dark);
    
    transform: translateX(100%);
    transition: transform 0.4s ease;

    @media (min-width: 1200px) {
        display: flex;
        position: fixed;
        inset: 20px 20px 0 0;
        justify-content: flex-end;
        align-items: flex-start;
        height: 0;
        transform: translateX(0);
    }
}

.header__navigation.active {
    transform: translateX(0);
}

